///////////////////////////////////////////////////////////////////////////////
/*! \file Lighting.h
 *  \brief Framework Nemo
 *  \author C. Crassin
 *
 * $Id: ResourcesManager.h,v 1.2 2007/09/14 11:54:56 gascuel Exp $
 */
///////////////////////////////////////////////////////////////////////////////
// History:
//
// 2005-01-01 : Creation.

#ifndef ResourcesManager_h
#define ResourcesManager_h

#include "UtilsGL.h"
#include <string>
#include <map>

namespace NemoGraphics {

class ResourcesManager {
	static ResourcesManager *instance;
	std::map<unsigned long, std::string> resourcesPaths;

	unsigned long hashString(const char *str) {
        unsigned long hash = 0;
        int c;
        while (c = *str++)
            hash = c + (hash << 6) + (hash << 16) - hash;

        return hash;
    }


public:
	static ResourcesManager *getManager();

	ResourcesManager();

	void setPath(const char *res, const char *path);

	std::string getPath(const char *res);
	std::string getFullPath(const char *res, const char *path);

};

};
#endif
